#### D.14.1.1 arrSet

Procedure from library `arr.lib` (see arr_lib).

Usage:
  arrSet(A, k, p); arr A, int k, poly p;

Return:
  [arr] Arrangement where the k-th hyperplane is replaced by p.

Note:
  p must be linear

Example:

    LIB "arr.lib";
    ring R = 0,(x,y,z),dp;
    arr A = ideal(x,y,z);
    arrSet(A,1,x+1);
    ==> _[1]=x+1
    ==> _[2]=y
    ==> _[3]=z
    ==>

User manual for Singular version 4.4.1, 2025, generated by texi2html.